Description
Hello,

reading through the spectral components available in ctools

http://cta.irap.omp.eu/ctools/users/user_manual/models_spectral.html

it seems that it is not possible to use a custom model.

What is available in this direction is just a Composite model assembled from the predefined models or a FileFunction that can only be

scaled in amplitude.

As | am trying to reproduce some results from a paper I'd like to have a way to plug the exact same models in the likelihood analysis.
More specifically | would like to have a LogParabola with log10(E / E_0) in the second spectral index and a LogParabola with an

exponential cutoff.
What would be the way to proceed?

Thanks for the support.

History

#1 - 11/22/2019 06:02 PM - Tibaldo Luigi

Hi Cosimo

I am under the impression that you can do what you want with the base models provided in ctools

e regarding the log-parabola defined in terms of beta * log10 (reference analysis) vs eta * In (ctools), you can easily achieve your purpose with the
standard ctools models; just remember that beta * log10 (E/EQ) = beta/In(10) In(E/EQ), therefore you can compare the ctools results with your

reference analysis by a simple multiplication beta = eta * In(10) (same goes for the uncertainty);

e for the log-parabola with exponentlal cutoff perhaps I'm missing your point, but isn't what you are trylng to deflne exactly what you get using the

multiplicative type model (h

l) with first component given

by a log-parabola (http://cta.irap.omp. eu/ctools/users/user manual/models snectral html#loq parabola) and the second component being the

exponential (http:/cta.irap.omp.eu/ctools/users/user_manual/models_spectral.html#exponential-model) of a power law with index fixed to 1?

#2 - 12/04/2019 03:35 PM - Nigro Cosimo
Hi Luigi

sorry for the belated reply and thanks for the suggestions. I'll try to implement it.

You can close the feature request,
Thanks again.

Cosimo
http://cta.irap.omp.eu/ctools/users/user_manual/models_spectral.html
http://cta.irap.omp.eu/ctools/users/user_manual/models_spectral.html#multiplicative-model
http://cta.irap.omp.eu/ctools/users/user_manual/models_spectral.html#log-parabola
http://cta.irap.omp.eu/ctools/users/user_manual/models_spectral.html#exponential-model

#3 - 12/04/2019 03:39 PM - Tibaldo Luigi
- Tracker changed from Feature to Support
- Status changed from New to Resolved

- % Done changed from 0 to 100

changed category to support and set to solved based on feedback from Cosimo

#4 - 02/07/2020 04:52 PM - Knodlseder Jiirgen
- Status changed from Resolved to Closed
